PlasticTextFieldUI (JGoodies Looks 2.6 API)
Date: 2014-02-27

com.jgoodies.looks.plastic

## Class PlasticTextFieldUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TextUI
    - - javax.swing.plaf.basic.BasicTextUI
      - - javax.swing.plaf.basic.BasicTextFieldUI
        - - javax.swing.plaf.metal.MetalTextFieldUI
          - - com.jgoodies.looks.plastic.PlasticTextFieldUI

- All Implemented Interfaces:
    ViewFactory

      public final class PlasticTextFieldUI
      extends MetalTextFieldUI

  The JGoodies Plastic L&F implementation of `TextFieldUI`. In addition to its superclass MetalTextFieldUI, it can use a caret that selects all text when the field gains focus via the keyboard.
  Version:
    $Revision: 1.9 $
  Author:
    Karsten Lentzsch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTextUI

      `BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlasticTextFieldUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Caret` | `createCaret()` Creates the caret for a field.
    `static ComponentUI` | `createUI(JComponent c)` Creates a UI for a JTextField.

    - ### Methods inherited from class javax.swing.plaf.metal.MetalTextFieldUI

      `propertyChange`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicTextFieldUI

      `create, getBaseline, getBaselineResizeBehavior, getPropertyPrefix`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicTextUI

      `create, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlasticTextFieldUI

          public PlasticTextFieldUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent c)

      Creates a UI for a JTextField.
      Parameters:
        `c` - the text field
      Returns:
        the UI

    - #### createCaret

          protected Caret createCaret()

      Creates the caret for a field.
      Overrides:
        `createCaret` in class `BasicTextUI`
      Returns:
        the caret

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.